Bug 892666

Summary: ocaml-bitstring is FTBFS on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: ocaml-bitstringAssignee: Richard W.M. Jones <rjones>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: fedora-ocaml-list, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-05 08:40:04 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Peter Robinson 2013-01-07 09:46:20 EST
Running tests/test_18_extract_32_64_int
Fatal error: exception Assert_failure("tests/test_18_extract_32_64_int.ml", 41, 2)
make: *** [test] Error 1

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=5184
Comment 1 Richard W.M. Jones 2013-01-10 04:12:01 EST
Line 41 in this file:
http://code.google.com/p/bitstring/source/browse/trunk/tests/test_18_extract_32_64_int.ml

This does look like a genuine problem (endianness?), although
I'm not "seeing it" at the moment ...
Comment 2 Peter Robinson 2013-01-10 04:19:49 EST
Fedora ARM is little endian so I'm not sure whether that's the problem unless it assumes somewhere that arm is big endian (which is of course a possibility as it supports both but some what unlikely)
Comment 3 Richard W.M. Jones 2013-01-10 04:28:38 EST
This *doesn't* fail on my Chromebook.

However my Chromebook is running Fedora 17, OCaml 3.12.1, and
in OCaml 4.00 the ARM codegen was completely rewritten, so all
this tells me is that it could be a new codegen bug (and those
are always SO much fun ...)
Comment 4 Richard W.M. Jones 2013-01-10 04:30:32 EST
(In reply to comment #2)
> Fedora ARM is little endian so I'm not sure whether that's the problem
> unless it assumes somewhere that arm is big endian (which is of course a
> possibility as it supports both but some what unlikely)

ocaml-bitstring is pretty well tested on both endians.  I'm
thinking this must be a bug in the new OCaml arm codegen :-(
Comment 5 Peter Robinson 2013-01-10 04:36:24 EST
It's always failed in arm.koji (as have ocaml-cil and ocaml-gsl btw, jsut got around to bugs for those yet) so it might be something simpler.

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=5184
Comment 6 Fedora End Of Life 2013-04-03 15:43:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Peter Robinson 2013-11-05 08:40:04 EST
Built on ARM on F-20+